'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RandomCoordinator = undefined;

var _anyPromise = require('any-promise');

var _anyPromise2 = _interopRequireDefault(_anyPromise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RandomCoordinator = function RandomCoordinator() {
  var _this = this;

  var machineBits = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 12;

  this.machineBitMask = Math.pow(2, machineBits) - 1;
  this.onChangeCallback = null;
  this.coordination = null;
  this.coordinate = function (onChangeCallback) {
    _this.onChangeCallback = onChangeCallback;
    _this.coordination = _this.generateRandomCoordination();
    _this.onChangeCallback(null, _this.coordination);
    return _anyPromise2.default.resolve();
  };
  this.generateRandomCoordination = function () {
    var randomMachineId = Math.floor(Math.random() * _this.machineBitMask);

    return { machineId: randomMachineId };
  };
};

exports.default = RandomCoordinator;
exports.RandomCoordinator = RandomCoordinator;
//# sourceMappingURL=RandomCoordinator.js.map